#include <stdio.h>
#include <stdlib.h>
#include <GL/glut.h>
#include <GL/gl.h>
#include <GL/glu.h>

#include "plane.h"
#include "camera.h"
#include "kugel.h"
#include "skybox.h"
#include "Lightning.h"

class project_mercury
{
public:
	void display_handler();

	void idle_handler();


	void keyboard_handler(unsigned char key, int x, int y);

	void reshape_handler(int w, int h);

	int main(int argc, char** argv);

	void render_bitmap_string (float x, float y, void *font,char *string);

	void setOrthographicProjection();

	void setOrthographicCamProjection();


	void resetPerspectiveProjection();

	void init_particles (void);

};
